CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Properties
CommandMessenger.TimedAction Class Reference

Starts a recurring action with fixed interval If still running at next call, the action is skipped. More...

Inheritance diagram for CommandMessenger.TimedAction:

List of all members.

## Classes
class | ThreadState
| Thread state.
## Public Member Functions
| TimedAction (DisposeStack disposeStack, double interval, Action action)
| Constructor.
void | Start ()
| Start timed actions.
void | Stop ()
| Stop timed actions.
void | StopAndWait ()
| Stop timed actions and wait until running function has finished.
| TimedAction (DisposeStack disposeStack, double interval, Action action)
| Constructor.
void | Start ()
| Start timed actions.
void | Stop ()
| Stop timed actions.
void | StopAndWait ()
| Stop timed actions and wait until running function has finished.
## Protected Member Functions
override void | Dispose (bool disposing)
| Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
override void | Dispose (bool disposing)
| Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
## Properties
bool | IsRunning`[get]`
| Returns whether this object is running.

## Detailed Description

Starts a recurring action with fixed interval If still running at next call, the action is skipped.

## Constructor & Destructor Documentation

CommandMessenger.TimedAction.TimedAction | ( | DisposeStack | disposeStack,
|  | double | interval,
|  | Action | action
| ) |  |

Constructor.

Parameters:

  disposeStack | Dispose stack to add itself to
  interval | The execution interval.
  action | The action to execute.

CommandMessenger.TimedAction.TimedAction | ( | DisposeStack | disposeStack,
|  | double | interval,
|  | Action | action
| ) |  |

Constructor.

Parameters:

  disposeStack | Dispose stack to add itself to
  interval | The execution interval.
  action | The action to execute.

## Member Function Documentation

override void CommandMessenger.TimedAction.Dispose | ( | bool | disposing | ) | `[protected, virtual]`

Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

Parameters:

  disposing | true if resources should be disposed, false if not.

Reimplemented from CommandMessenger.DisposableObject.

override void CommandMessenger.TimedAction.Dispose | ( | bool | disposing | ) | `[protected, virtual]`

Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.

Parameters:

  disposing | true if resources should be disposed, false if not.

Reimplemented from CommandMessenger.DisposableObject.

void CommandMessenger.TimedAction.Start | ( |  | ) |

Start timed actions.

void CommandMessenger.TimedAction.Start | ( |  | ) |

Start timed actions.

void CommandMessenger.TimedAction.Stop | ( |  | ) |

Stop timed actions.

void CommandMessenger.TimedAction.Stop | ( |  | ) |

Stop timed actions.

void CommandMessenger.TimedAction.StopAndWait | ( |  | ) |

Stop timed actions and wait until running function has finished.

void CommandMessenger.TimedAction.StopAndWait | ( |  | ) |

Stop timed actions and wait until running function has finished.

## Property Documentation

bool CommandMessenger.TimedAction::IsRunning`[get]`

Returns whether this object is running.

true if this object is running, false if not.

The documentation for this class was generated from the following files:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/TimedAction.cs
- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessengerTests/TimedAction.cs